Package org.apache.ignite.internal.processors.cache.verify

## Class IdleVerifyUtility.VerifyPartitionContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.IdleVerifyUtility.VerifyPartitionContext

Enclosing class:
  IdleVerifyUtility

    public static class IdleVerifyUtility.VerifyPartitionContext
    extends Object

### Field Summary

Fields
`int` `binary`
`int` `cf`
`int` `noCf`
`int` `partHash`
`int` `partVerHash`
`int` `regular`

### Constructor Summary

Constructors
`VerifyPartitionContext()`
`VerifyPartitionContext​(IncrementalSnapshotVerificationTask.HashHolder hash)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update​(KeyCacheObject key, CacheObject val, CacheEntryVersion ver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### partHash

    public int partHash

#### partVerHash

    public int partVerHash

#### cf

    public int cf

#### noCf

    public int noCf

#### binary

    public int binary

#### regular

    public int regular

### Constructor Detail

#### VerifyPartitionContext

    public VerifyPartitionContext()

#### VerifyPartitionContext

    public VerifyPartitionContext​(IncrementalSnapshotVerificationTask.HashHolder hash)

Parameters:
  `hash` - Incremental snapshot hash holder.

### Method Detail

#### update

    public void update​(KeyCacheObject key,
                       CacheObject val,
                       CacheEntryVersion ver)
                throws IgniteCheckedException

Throws:
  `IgniteCheckedException`